<!--
Licensed to the Apache Software Foundation (ASF) under one
or more contributor license agreements. See the NOTICE file
distributed with this work for additional information
regarding copyright ownership. The ASF licenses this file
to you under the Apache License, Version 2.0 (the
"License"); you may not use this file except in compliance
with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing,
software distributed under the License is distributed on an
"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, either express or implied. See the License for the
specific language governing permissions and limitations
under the License.
-->
<%@ page import="java.util.List" %>
<%@ page import="org.apache.geronimo.samples.inventory.Item" %>
<%@ page import="org.apache.geronimo.samples.inventory.exception.ItemException" %>


<HTML>
<jsp:useBean id="inventoryManager" scope="session" class="org.apache.geronimo.samples.inventory.services.InventoryManager"/>
<HEAD><TITLE>Welcome</TITLE></HEAD>
<BODY>
<div div=true align="center">
    <strong><H2>Welcome to the Inventory Control System</H2><br><br><br></strong>

    <%
        try {
        List<Item> itemList = inventoryManager.getItems();
        if (itemList.size() > 0) {

    %>
    <TABLE width="90%" border="0" bgcolor="cyan">
        <TR>
            <TD><strong>Item Number</strong></TD>
            <TD><strong>Item Name</strong></TD>
            <TD><strong>Description</strong></TD>
            <TD><strong>Quantity</strong></TD>
        </TR>
        <%
            for (int i = 0; i < itemList.size(); i++) {
                Item item = itemList.get(i);

                String itemNo = item.getItemNo();
                String itemName = item.getItemName();
                String description = item.getDescription();
                String quantity = "quantity: " + item.getQuantity();
        %>
        <TR>
            <TD><%=itemNo%>
            </TD>
            <TD><%=itemName%>
            </TD>
            <TD><%=description%>
            </TD>
            <TD><%=quantity%>
            </TD>
        </TR>
        <%}%>
    </TABLE>
    <% }
    } catch (ItemException e) { %>
        Error: <%=e.getMessage()%>    
    <% }%>
    <br>
    <br>
    <TABLE>
        <TR>
            <TD><A href="jsp/add.jsp">Add Items </A></TD>
            <TD><A href="jsp/recv.jsp">Receiving</A></TD>
            <TD><A href="jsp/issue.jsp">Issueing</A></TD>
        </TR>
    </TABLE>
</div>
<strong><br><br><br></strong>
</BODY>
</HTML>